Download OpenAPI specification:Download
Specifications relating to derivatives products including perpetual futures are provided solely for members of EDXM International. Derivatives, including perpetual futures, and related services provided by EDXM International are not available to US persons or institutions or in any other jurisdiction where prohibited by law.
These endpoints require authentication.
API Credentials can be generated on the Clearing Member Portal via the API Apps tab with the desired permissions.
With the client id and secret obtained from the clearing member portal, access tokens must be generated
following OAuth2.0 standards using the client_credentials grant type.
A POST request will need to be made to https://auth.{server-url}/oauth/token with the following x-www-form-urlencoded parameters
audience: https://{server-url}/apigrant_type: client_credentialsclient_id: {your-client-id}client_secret: {your-client-secret}You can test that you can receive an access token using your credentials in UAT by making the following request:
```
curl 'https://auth.uat.edxclearing.com/oauth/token' \
--header 'Content-Type: application/x-www-form-urlencoded' \
--data-urlencode 'client_id={your-client-id}' \
--data-urlencode 'client_secret={your-client-secret}' \
--data-urlencode 'audience=https://uat.edxclearing.com/api' \
--data-urlencode 'grant_type=client_credentials'
```
The server-url will be based on the environment:
clearing.edxmarkets.comuat.edxclearing.com This will then return a json object with one of the fields being the access_token.
Provide this token in the API requests as the Authorization header with the string Bearer prepended to the token string.
Changes to this API in the following forms are considered backwards compatible and must be handled by the client application:
Client applications must not fail to deserialize responses with new properties (for example, using 'strict' JSON parsers).
Requires MEMBER_ORDER_ENTRY_RW permissions
Places a new order.
For orders of type IMMEDIATE_OR_CANCEL and FILL_OR_KILL, this endpoint will respond with the final state of the order (filled or cancelled) and list of fills. For other order types that can rest on the book (e.g. GOOD_TILL_CANCEL), this endpoint will respond as soon as the order is accepted. Subsequent updates to the order, such as fills, can be observed using the WebSocket endpoint.
| account required | string Example: my-account The account of the orders |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
| clientOrderId required | string (ClientOrderId) [ 1 .. 40 ] characters A unique order id that the client must use to identify orders. |
| symbol required | string (Symbol) The currency pair to be traded |
| side required | string (Side) Enum: "BUY" "SELL" The side of the order |
| orderQty | string (OrderQty) The quantity of the order. |
| orderType required | string (OrderType) Enum: "LIMIT" "MARKET" "STOP_LIMIT" "STOP_MARKET" "TAKE_PROFIT_STOP_LOSS" The type of the order:
|
| price | string (Price) The price of the order. Used as the limit price when a |
| stopPrice | string (StopPrice) The price at which a stop will be triggered. Required for |
| takeProfitTriggerPrice | string (TakeProfitTriggerPrice) The price at which the take-profit leg will be triggered. Required for |
| takeProfitOrderType | string (TakeProfitOrderType) Value: "MARKET" The type of the order the take-profit leg becomes when triggered. Required for |
| takeProfitTriggerPriceType | string (TakeProfitTriggerPriceType) Value: "MARK_PRICE" The type of price that triggers the take-profit leg. Required for |
| stopLossTriggerPrice | string (StopLossTriggerPrice) The price at which the stop-loss leg will be triggered. Required for |
| stopLossOrderType | string (StopLossOrderType) Value: "MARKET" The type of the order the stop-loss leg becomes when triggered. Required for |
| stopLossTriggerPriceType | string (StopLossTriggerPriceType) Value: "MARK_PRICE" The type of price that triggers the stop-loss leg. Required for |
| cashOrderQuantity | string (CashOrderQuantity) The notional quantity of the order. |
| executionInstruction | Array of strings (ExecutionInstructions) Items Value: "PARTICIPATE_DONT_INITIATE" A list of execution instructions for the order. |
| extendedExecutionInstruction | string (ExtendedExecutionInstruction) Enum: "RETAIL_LIQUIDITY_PROVIDER" "DESIGNATED_RETAIL" Designates this order as RLP or Retail:
|
| timeInForce | string (TimeInForce) Enum: "GOOD_TILL_CANCEL" "GOOD_TILL_DATE" "IMMEDIATE_OR_CANCEL" "FILL_OR_KILL" Designates when the order will expire. If left out, defaults to
|
| expireTime | string (ExpireTime) UTC timestamp with maximum precision in millis that is the expiry time of the order. If precision is entered in greater precision than millis, the expire time will be truncated to millis. Conditionally required if |
| selfMatchPrevention | string (SelfMatchPrevention) Enum: "CANCEL_NEWEST" "CANCEL_OLDEST" "CANCEL_BOTH" The self match strategy applied to the order as an aggressor. Defaults to |
{- "clientOrderId": "ET5FZD2OLD",
- "symbol": "BTC/USD",
- "side": "BUY",
- "orderQty": "1.05",
- "orderType": "LIMIT",
- "price": "99005.05",
- "stopPrice": "99005.05",
- "takeProfitTriggerPrice": "99005.05",
- "takeProfitOrderType": "MARKET",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "99005.05",
- "stopLossOrderType": "MARKET",
- "stopLossTriggerPriceType": "MARK_PRICE",
- "cashOrderQuantity": "99005.05",
- "executionInstruction": [
- "PARTICIPATE_DONT_INITIATE"
], - "extendedExecutionInstruction": "DESIGNATED_RETAIL",
- "timeInForce": "GOOD_TILL_DATE",
- "expireTime": "2026-02-03T22:11:05.123",
- "selfMatchPrevention": "CANCEL_NEWEST"
}{- "data": {
- "orderId": "3323423075738845191",
- "clientOrderId": "ET5FZD2OLD",
- "symbol": "BTC/USD",
- "side": "BUY",
- "orderType": "LIMIT",
- "transactTime": 1735498290500170200,
- "timeInForce": "GOOD_TILL_DATE",
- "executionInstruction": [
- "PARTICIPATE_DONT_INITIATE"
], - "extendedExecutionInstruction": "DESIGNATED_RETAIL",
- "expireTime": "2026-02-03T22:11:05.123",
- "price": "99005.05",
- "stopPrice": "99005.05",
- "takeProfitTriggerPrice": "99005.05",
- "takeProfitOrderType": "MARKET",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "99005.05",
- "stopLossOrderType": "MARKET",
- "stopLossTriggerPriceType": "MARK_PRICE",
- "triggered": false,
- "orderQuantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "filledQuoteQuantity": "99005.05",
- "filledQuantity": "0.8934",
- "account": "my-account",
- "fills": [
- {
- "tradeId": "3382555014110117891",
- "quantity": "0.64",
- "price": "90000.04",
- "executionTimestamp": 1753148759185421000,
- "liquidityIndicator": "MAKER",
- "executionFee": "12.34"
}
]
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Retrieves all the open orders for an account that have been placed through REST or Websocket APIs.
| account required | string Example: my-account The account of the orders |
| symbol | string Example: symbol=BTC/USD The symbol of the orders to return. If left out, all open orders will be returned |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
{- "data": [
- {
- "orderId": "3323423075738845191",
- "clientOrderId": "ET5FZD2OLD",
- "symbol": "BTC/USD",
- "side": "BUY",
- "orderType": "LIMIT",
- "transactTime": 1735498290500170200,
- "timeInForce": "GOOD_TILL_DATE",
- "executionInstruction": [
- "PARTICIPATE_DONT_INITIATE"
], - "extendedExecutionInstruction": "DESIGNATED_RETAIL",
- "expireTime": "2026-02-03T22:11:05.123",
- "price": "99005.05",
- "stopPrice": "99005.05",
- "takeProfitTriggerPrice": "99005.05",
- "takeProfitOrderType": "MARKET",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "99005.05",
- "stopLossOrderType": "MARKET",
- "stopLossTriggerPriceType": "MARK_PRICE",
- "triggered": false,
- "orderQuantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "filledQuoteQuantity": "99005.05",
- "filledQuantity": "0.8934",
- "account": "my-account"
}
]
}Requires MEMBER_ORDER_ENTRY_RW permissions
Will attempt to cancel all open orders for the account that has been placed through REST or Websocket APIs.
| account required | string Example: my-account The account of the orders |
| symbol | string Example: symbol=BTC/USD The symbol of the orders to cancel. If left out, all open orders will be attempted to cancel. |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
{- "data": [
- {
- "orderId": "3323423075738845191",
- "clientOrderId": "ET5FZD2OLD",
- "symbol": "BTC/USD",
- "side": "BUY",
- "orderType": "LIMIT",
- "transactTime": 1735498290500170200,
- "timeInForce": "GOOD_TILL_DATE",
- "executionInstruction": [
- "PARTICIPATE_DONT_INITIATE"
], - "extendedExecutionInstruction": "DESIGNATED_RETAIL",
- "expireTime": "2026-02-03T22:11:05.123",
- "price": "99005.05",
- "stopPrice": "99005.05",
- "takeProfitTriggerPrice": "99005.05",
- "takeProfitOrderType": "MARKET",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "99005.05",
- "stopLossOrderType": "MARKET",
- "stopLossTriggerPriceType": "MARK_PRICE",
- "triggered": false,
- "orderQuantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "filledQuoteQuantity": "99005.05",
- "filledQuantity": "0.8934",
- "account": "my-account"
}
]
}Requires MEMBER_ORDER_ENTRY_RW permissions
Modifies an existing order. Not supported for STOP_MARKET, STOP_LIMIT or TAKE_PROFIT_STOP_LOSS
orders.
| account required | string Example: my-account The account of the orders |
| originalClientOrderId required | string Example: ET5FZD2OLD The clientOrderId for the original order that is being replaced. |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
| clientOrderId required | string (ClientOrderId) [ 1 .. 40 ] characters A unique order id that the client must use to identify orders. |
| orderQty | string (OrderQty) The quantity of the order. |
| price | string (Price) The price of the order. Used as the limit price when a |
| expireTime | string (ExpireTime) UTC timestamp with maximum precision in millis that is the expiry time of the order. If precision is entered in greater precision than millis, the expire time will be truncated to millis. Conditionally required if |
| selfMatchPrevention | string (SelfMatchPrevention) Enum: "CANCEL_NEWEST" "CANCEL_OLDEST" "CANCEL_BOTH" The self match strategy applied to the order as an aggressor. Defaults to |
{- "clientOrderId": "ET5FZD2OLD",
- "orderQty": "1.05",
- "price": "99005.05",
- "expireTime": "2026-02-03T22:11:05.123",
- "selfMatchPrevention": "CANCEL_NEWEST"
}{- "data": {
- "orderId": "3323423075738845191",
- "clientOrderId": "ET5FZD2OLD",
- "symbol": "BTC/USD",
- "side": "BUY",
- "orderType": "LIMIT",
- "transactTime": 1735498290500170200,
- "timeInForce": "GOOD_TILL_DATE",
- "executionInstruction": [
- "PARTICIPATE_DONT_INITIATE"
], - "extendedExecutionInstruction": "DESIGNATED_RETAIL",
- "expireTime": "2026-02-03T22:11:05.123",
- "price": "99005.05",
- "stopPrice": "99005.05",
- "takeProfitTriggerPrice": "99005.05",
- "takeProfitOrderType": "MARKET",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "99005.05",
- "stopLossOrderType": "MARKET",
- "stopLossTriggerPriceType": "MARK_PRICE",
- "triggered": false,
- "orderQuantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "filledQuoteQuantity": "99005.05",
- "filledQuantity": "0.8934",
- "account": "my-account"
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Cancels an existing order
| account required | string Example: my-account The account of the orders |
| originalClientOrderId required | string Example: ET5FZD2OLD The clientOrderId of the order to be cancelled. |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
{- "data": {
- "orderId": "3323423075738845191",
- "clientOrderId": "ET5FZD2OLD",
- "symbol": "BTC/USD",
- "side": "BUY",
- "orderType": "LIMIT",
- "transactTime": 1735498290500170200,
- "timeInForce": "GOOD_TILL_DATE",
- "executionInstruction": [
- "PARTICIPATE_DONT_INITIATE"
], - "extendedExecutionInstruction": "DESIGNATED_RETAIL",
- "expireTime": "2026-02-03T22:11:05.123",
- "price": "99005.05",
- "stopPrice": "99005.05",
- "takeProfitTriggerPrice": "99005.05",
- "takeProfitOrderType": "MARKET",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "99005.05",
- "stopLossOrderType": "MARKET",
- "stopLossTriggerPriceType": "MARK_PRICE",
- "triggered": false,
- "orderQuantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "filledQuoteQuantity": "99005.05",
- "filledQuantity": "0.8934",
- "account": "my-account"
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Retrieves a paginated, time-ranged history of order events for the given account, ordered by
transaction time. Use the start (inclusive) and end (exclusive) query parameters to bound the
time range, and the cursor-based after/pageSize parameters to page through results.
Order history is only accessible for the last 14 days.
| account required | string Example: my-account The account ID. |
| start required | integer <int64> >= 0 Start time (inclusive) in milliseconds since epoch |
| end required | integer <int64> >= 0 End time (exclusive) in milliseconds since epoch |
| after | string The cursor at which to start the page (exclusive). |
| pageSize | integer <int64> [ 1 .. 100 ] Default: 100 |
| sort | string (SortOrder) Default: "asc" Enum: "asc" "desc" Example: sort=asc Sort order of the results |
{- "data": [
- {
- "transactTime": 1735498290500170200,
- "orderId": "3323423075738845191",
- "executionId": "3382555014110117891",
- "clientOrderId": "ET5FZD2OLD",
- "originalClientOrderId": "ET5FZD2OLD",
- "account": "my-account",
- "executionType": "NEW",
- "orderStatus": "NEW",
- "symbol": "BTC/USD",
- "side": "BUY",
- "orderType": "LIMIT",
- "timeInForce": "GOOD_TILL_DATE",
- "expireTime": "2026-02-03T22:11:05.123",
- "price": "99005.05",
- "stopPrice": "99005.05",
- "takeProfitTriggerPrice": "99005.05",
- "takeProfitOrderType": "MARKET",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "99005.05",
- "stopLossOrderType": "MARKET",
- "stopLossTriggerPriceType": "MARK_PRICE",
- "triggered": false,
- "orderQuantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "leavesQuantity": "1.05",
- "filledQuantity": "0.8934",
- "leavesQuoteQuantity": "1.05",
- "filledQuoteQuantity": "99005.05",
- "text": "string",
- "tradeType": "LIQUIDATION",
- "orderOriginType": "LIQUIDATION"
}
], - "responseMetadata": {
- "endCursor": "eyJkb2NzIjoiZXhhbXBsZSJ9",
- "nextUrl": "/v1/path/to/next/page?after=eyJkb2NzIjoiZXhhbXBsZSJ9",
- "hasNext": true
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Retrieves a paginated, time-ranged history of trades for the given account, ordered by
transaction time. Use the start (inclusive) and end (exclusive) query parameters to bound the
time range, and the cursor-based after/pageSize parameters to page through results.
Trade history is only accessible for the last 14 days.
| account required | string Example: my-account The account ID. |
| start required | integer <int64> >= 0 Start time (inclusive) in milliseconds since epoch |
| end required | integer <int64> >= 0 End time (exclusive) in milliseconds since epoch |
| after | string The cursor at which to start the page (exclusive). |
| pageSize | integer <int64> [ 1 .. 100 ] Default: 100 |
| sort | string (SortOrder) Default: "asc" Enum: "asc" "desc" Example: sort=asc Sort order of the results |
{- "data": [
- {
- "transactTime": 1735498290500170200,
- "tradeId": "3382555014110117891",
- "executionId": "3382555014110117891",
- "account": "my-account",
- "symbol": "BTC/USD",
- "side": "BUY",
- "quantity": "0.64",
- "price": "90000.04",
- "executionFee": "12.34",
- "liquidityIndicator": "MAKER",
- "tradeType": "LIQUIDATION"
}
], - "responseMetadata": {
- "endCursor": "eyJkb2NzIjoiZXhhbXBsZSJ9",
- "nextUrl": "/v1/path/to/next/page?after=eyJkb2NzIjoiZXhhbXBsZSJ9",
- "hasNext": true
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Limited availability. Contact EDXM Market Operations for more information.
Place a new advanced order.
| account required | string Example: my-account The account ID. |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
| orderType required | string |
| symbol required | string (Symbol) The currency pair to be traded |
| side required | string (Side) Enum: "BUY" "SELL" The side of the order |
| quantity required | string <number> |
| clientOrderId required | string (ClientOrderId) [ 1 .. 40 ] characters A unique order id that the client must use to identify orders. |
| takeProfitTriggerPrice required | string <number> The price at which to take profit. |
| takeProfitTriggerPriceType required | string (TakeProfitStopLossPriceTriggerType) Value: "MARK_PRICE" The type of price that will trigger the TP/SL order. |
| stopLossTriggerPrice required | string <number> The price at which to stop loss. |
| stopLossTriggerPriceType required | string (TakeProfitStopLossPriceTriggerType) Value: "MARK_PRICE" The type of price that will trigger the TP/SL order. |
{- "orderType": "TAKE_PROFIT_STOP_LOSS",
- "symbol": "BTC/USD",
- "side": "BUY",
- "quantity": "string",
- "clientOrderId": "ET5FZD2OLD",
- "takeProfitTriggerPrice": "2344.01",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "2344.01",
- "stopLossTriggerPriceType": "MARK_PRICE"
}{- "data": {
- "account": "string",
- "symbol": "BTC/USD",
- "orderQuantity": "1.05",
- "filledQuantity": ".023",
- "side": "BUY",
- "orderId": "f348e91e-8180-4f4e-b7fb-19eb0cebf22f",
- "clientOrderId": "123",
- "status": "PENDING",
- "orderType": "string",
- "takeProfitTriggerPrice": "string",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "string",
- "stopLossTriggerPriceType": "MARK_PRICE"
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Limited availability. Contact EDXM Market Operations for more information.
| account required | string Example: my-account The account ID. |
| clientOrderId | string |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
{- "responseMetadata": {
- "endCursor": "eyJkb2NzIjoiZXhhbXBsZSJ9",
- "nextUrl": "/v1/path/to/next/page?after=eyJkb2NzIjoiZXhhbXBsZSJ9",
- "hasNext": true
}, - "data": [
- {
- "account": "string",
- "symbol": "BTC/USD",
- "orderQuantity": "1.05",
- "filledQuantity": ".023",
- "side": "BUY",
- "orderId": "f348e91e-8180-4f4e-b7fb-19eb0cebf22f",
- "clientOrderId": "123",
- "status": "PENDING",
- "orderType": "string",
- "takeProfitTriggerPrice": "string",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "string",
- "stopLossTriggerPriceType": "MARK_PRICE"
}
]
}Requires MEMBER_ORDER_ENTRY_RW permissions
Limited availability. Contact EDXM Market Operations for more information.
| account required | string Example: my-account The account ID. |
| orderId required | string Example: 93a0f274-9304-47d4-93a2-345a7979b53c The advanced order ID. |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
{- "data": {
- "account": "string",
- "symbol": "BTC/USD",
- "orderQuantity": "1.05",
- "filledQuantity": ".023",
- "side": "BUY",
- "orderId": "f348e91e-8180-4f4e-b7fb-19eb0cebf22f",
- "clientOrderId": "123",
- "status": "PENDING",
- "orderType": "string",
- "takeProfitTriggerPrice": "string",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "string",
- "stopLossTriggerPriceType": "MARK_PRICE"
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Limited availability. Contact EDXM Market Operations for more information.
| account required | string Example: my-account The account ID. |
| orderId required | string Example: 93a0f274-9304-47d4-93a2-345a7979b53c The advanced order ID. |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
{- "data": {
- "account": "string",
- "symbol": "BTC/USD",
- "orderQuantity": "1.05",
- "filledQuantity": ".023",
- "side": "BUY",
- "orderId": "f348e91e-8180-4f4e-b7fb-19eb0cebf22f",
- "clientOrderId": "123",
- "status": "PENDING",
- "orderType": "string",
- "takeProfitTriggerPrice": "string",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "string",
- "stopLossTriggerPriceType": "MARK_PRICE"
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Limited availability. Contact EDXM Market Operations for more information.
Retrieves the current status of order(s). Order status can be found given either an EDXM-generated orderId or
a client-generated clientOrderId. Order status is accessible for up to 14 days.
If retrieving order status by orderId, only one data entry will be returned, given that the order exists and
has occurred within the last 14 days; otherwise, no data is returned.
If retrieving order status by clientOrderId, multiple data entries may be returned, given the orders exist and
have occurred within the last 14 days; otherwise, no data is returned. More than one entry is returned
if the given clientOrderId has been re-used in multiple distinct orders in the last 14 days.
Note that some fields in the response are only conditionally optional, depending on the status of the order.
For example, symbol is optional in the case where an order is rejected for UNKNOWN_SYMBOL. However, in most
cases (e.g. order statuses NEW, PARTIALLY_FILLED, FILLED, CANCELLED, REPLACED) the optional fields
associated with the order will be present. Also note, that orderQuantity and price are optional as
cashOrderQuantity market orders do not contain a price or a quantity.
| account required | string Example: my-account The account of the orders |
| clientOrderId | string |
| orderId | string |
{- "data": [
- {
- "lastExecutionTimestamp": 0,
- "orderId": "3323423075738845191",
- "accountId": "string",
- "status": "NEW",
- "symbol": "BTC/USD",
- "side": "BUY",
- "orderType": "LIMIT",
- "timeInForce": "GOOD_TILL_DATE",
- "price": "99005.05",
- "stopPrice": "99005.05",
- "takeProfitTriggerPrice": "99005.05",
- "takeProfitOrderType": "MARKET",
- "takeProfitTriggerPriceType": "MARK_PRICE",
- "stopLossTriggerPrice": "99005.05",
- "stopLossOrderType": "MARKET",
- "stopLossTriggerPriceType": "MARK_PRICE",
- "triggered": false,
- "orderQuantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "filledQuantity": "0.8934",
- "filledQuoteQuantity": "99005.05",
- "averageFillPrice": "2433.86",
- "cancelledQuantity": "0.1",
- "cancelledQuoteQuantity": "901.1",
- "cancelReason": "BREACHED_BASE_POSITION_LIMIT",
- "rejectionReason": "DUPLICATE_ORDER",
- "text": "EXPIRED",
- "fills": [
- {
- "executionId": "3382555014110117891",
- "executionTimestamp": 1753148759185421000,
- "price": "90000.04",
- "liquidityIndicator": "MAKER",
- "quantity": "0.64"
}
]
}
], - "responseMetadata": {
- "query": {
- "clientOrderId": "ZBZL1QXPK4WIPKJ"
}
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Request a quote.
Note either quantity or cashOrderQuantity must be specified.
| account required | string Example: my-account The account ID. |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
| symbol required | string (Symbol) The currency pair to be traded |
| side required | string (Side) Enum: "BUY" "SELL" The side of the order |
| quantity | string (OrderQty) The quantity of the order. |
| cashOrderQuantity | string (CashOrderQuantity) The notional quantity of the order. |
{- "symbol": "BTC/USD",
- "side": "BUY",
- "quantity": "1.05",
- "cashOrderQuantity": "99005.05"
}{- "data": {
- "symbol": "BTC/USD",
- "side": "BUY",
- "quantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "price": "99005.05",
- "quoteId": "019e1c9b-f041-72a4-846d-274a7d22b660",
- "timestamp": 1778597068000,
- "expireTimeMillis": 1778600668000
}
}Requires MEMBER_ORDER_ENTRY_RW permissions
Accept a quote by its quoteId.
| account required | string Example: my-account The account ID. |
| Authorization required | string Example: Bearer your-token The bearer token use to auth requests |
| quoteId required | string (QuoteId) The ID of the quote. |
{- "quoteId": "019e1c9b-f041-72a4-846d-274a7d22b660"
}{- "data": {
- "symbol": "BTC/USD",
- "side": "BUY",
- "quantity": "1.05",
- "cashOrderQuantity": "99005.05",
- "price": "99005.05",
- "quoteId": "019e1c9b-f041-72a4-846d-274a7d22b660",
- "tradeId": "3382555014110117891",
- "timestamp": 1778597068000
}
}